<?php
/**********************************************************************************
* ChangeDisplayNameCSS.php                                                        *
* Change Display Name CSS item (1.0)                                              *
***********************************************************************************
* SMFShop: Shop MOD for Simple Machines Forum                                     *
* =============================================================================== *
* $Date:: 2007-04-07 23:13:16 +1000 (Sat, 07 Apr 2007)                          $ *
* $Id:: ChangeDisplayNameCSS.php 12 2007-04-07 13:13:16Z daniel15               $ *
* Software by:                DanSoft Australia (http://www.dansoftaustralia.net/)*
* Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)*
* Support, News, Updates at:  http://www.dansoftaustralia.net/                    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version of the license can always be found at                        *
* http://www.simplemachines.org.                                                  *
**********************************************************************************/
// If file is not called by SMF, don't let them get anywhere!
if (!defined('SMF'))
	die('Hacking attempt...');
	
class item_ChangeDisplayNameCSS extends itemTemplate
{
	function getItemDetails()
	{
		$this->authorName = 'Daniel15';
		$this->authorWeb = 'http://www.dansoftaustralia.net/';
		$this->authorEmail = 'dansoft@dansoftaustralia.net';
		
		$this->name = 'Change Display Name Style';
		$this->desc = 'Change the style of your display name (style is admin-definable)';
		$this->price = 75;

		$this->require_input = false;
		$this->can_use_item = true;
		$this->addInput_editable = true;
	}

	function getAddInput()
	{
		global $item_info;
		// If we're adding a new item, default to this.
		if ($item_info[1] == '')
			$item_info[1] = 'font-style:oblique';
			
		return '
			New Style: <input type="text" name="info1" value="' . $item_info[1] . '"><br />
			NOTE: The "New Style" can be any CSS formatting property. <b>Do not</b> put a 
			semicolon (;) at the end as it is appended automatically.<br /><br />';
    }

	function onUse()
	{
		global $db_prefix, $ID_MEMBER, $item_info;

		$result = db_query("
			UPDATE {$db_prefix}members
			SET shop_nameStyle = CONCAT(shop_nameStyle, '{$item_info[1]}; ')
			WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);

		return 'Successfully updated your display name style!';
	}

}

?>
